classification
Title: Python interpreter unnecessarily linked against c++ runtime
Type: enhancement Stage:
Components: Build Versions: Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, loewis, zak-k
Priority: low Keywords:

Created on 2005-08-08 11:48 by zak-k, last changed 2010-08-21 18:55 by BreamoreBoy. This issue is now closed.

Messages (3)
msg60798 - (view) Author: Zak Kipling (zak-k) Date: 2005-08-08 11:48
By default, on an ELF-based Linux system with a working
g++, the configure script will choose to build a C++
wrapper for main(). This causes the resulting
interpreter executable to be linked against libstdc++.
However, the comments in  bug #224782 suggest that this
is not necessary in order to support C++ extension
modules on ELF (unlike a.out).

Would it be possible for Modules/ccpython.cc to be used
only on those systems that don't correctly support
dynamically loading C++ code from C executables?

I'm currently seeing this with Python 2.4.1, on a
Gentoo ~amd64 system.

msg60799 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2005-08-09 18:45
Logged In: YES 
user_id=21627

Would you like to contribute a patch?

If you merely look for a way to prevent linkage with
libstdc++, please configure --without-cxx.
msg114543 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-21 18:55
No reply to msg60799.
History
Date User Action Args
2010-08-21 18:55:19BreamoreBoysetstatus: open -> closed

nosy: + BreamoreBoy
messages: + msg114543

resolution: wont fix
2009-02-16 00:45:54ajaksu2setpriority: normal -> low
type: enhancement
versions: + Python 2.7
2005-08-08 11:48:01zak-kcreate